import { glTFAnimation } from './gltf-animation';
import { glTFChannel } from './gltf-channel';
export declare class additiveInfo {
    animation: glTFAnimation;
    rate: number;
    constructor(animation: glTFAnimation, rate: number);
}
export declare class AnimationAdder {
    sourceAnimation: glTFAnimation;
    additiveInfos: additiveInfo[];
    additiveAnimation: glTFAnimation;
    tPosStr: string;
    constructor(sourceAnimation: glTFAnimation, additiveInfos: additiveInfo[], loop?: boolean);
    easeFunc(pos: any): number;
    computeInterpChannel(sourceChannel: glTFChannel, additiveChannels: glTFChannel[], rates: number[], isPoses: boolean[]): glTFChannel;
    computeMaxTime(): number;
    cloneWithScale(sourceAnimation: glTFAnimation, scale: number): glTFAnimation;
    active(): void;
    deactive(): void;
}
