import { glTFAnimation } from './gltf-animation';
import { glTFChannel } from './gltf-channel';
export declare class AnimationMixer {
    from: glTFAnimation;
    to: glTFAnimation;
    blendTime: number;
    mixerAnimation: glTFAnimation;
    timeHandler: any;
    mode: number;
    loop: boolean;
    constructor(from: glTFAnimation, to: glTFAnimation, loop: boolean, blendTime: number);
    easeFunc(pos: any): any;
    computeInterpChannel(fromChannel: glTFChannel, toChannel: glTFChannel, multiple: number): glTFChannel;
    active(): glTFAnimation;
    deactive(): void;
}
