/**
 * Represents a subset of data in a buffer.
 */
export declare class glTFBufferView {
    buffer: Uint32Array | Float32Array | Int8Array | Uint8Array | Int16Array | Uint16Array;
    componentType: number;
    stride: number;
    normalized: boolean;
    min?: number[];
    max?: number[];
    constructor(buffer: Uint32Array | Float32Array | Int8Array | Uint8Array | Int16Array | Uint16Array, componentType: number, stride?: number, normalized?: boolean, min?: number[], max?: number[]);
    static from(componentType: number, buffer: ArrayBuffer, offset: number, size: number, stride?: number, normalized?: boolean, min?: number[], max?: number[]): glTFBufferView;
}
