export declare class glTFLightParser {
    protected data: any;
    protected lights: any;
    /**
     * @deprecated 1.1.0 版本开始，不建议新建 glTFLightParser 实例来解析光照，解析模型时会自动解析光照
     * 推荐方案：model.lights 可直接获取到模型光照的 list
    */
    constructor(data: any);
    /**
     * @deprecated 1.1.0 版本开始，不建议通过该方法获取光照
     * 推荐方案：model.lights 可直接获取到模型光照的 list
    */
    getLightCfg(): any[];
    destroy(): void;
    private init;
    private isLightNode;
    private checkGlobalTransform;
    private addGlobalTransform;
}
