interface glTFLightDescriptor {
    name?: string;
    color?: number[];
    intensity?: number;
    type: string;
    range?: number;
    spot: {
        innerConeAngle?: number;
        outerConeAngle?: number;
    };
}
export declare class glTFLight {
    protected descriptor: glTFLightDescriptor;
    protected _matrix: Float32Array;
    protected _direction: Float32Array;
    constructor(cfg: glTFLightDescriptor);
    transToThreeLightProperties(): any;
    destroy(): void;
    private getDefaultBasicProperty;
    private directionalRotationToPosition;
    private getDirectionFromQuad;
    set matrix(mat: any);
    get matrix(): any;
    set translation(trans: Float32Array);
    get translation(): Float32Array;
    set rotation(rotate: Float32Array);
    get rotation(): Float32Array;
}
export {};
