import { Container3D } from './container';
import { InstancedMesh3D } from './mesh/instanced-mesh';
import { Model } from './model';
/**
 * Represents an instance of a model.
 */
export declare class InstancedModel extends Container3D {
    model: Model;
    /** The meshes included in the model. */
    meshes: InstancedMesh3D[];
    pickingId: Uint8Array;
    /**
     * Creates a new model instance from the specified model.
     * @param model The model to create instance from.
     */
    constructor(model: Model);
}
