import * as Tiny from '@alipay/tiny.js';
import { Mesh3D } from '../../mesh/mesh';
import { StandardMaterialMatrixTexture } from './standard-material-matrix-texture';
export declare class StandardMaterialSkinUniforms {
    private _jointMatrixTexture?;
    private _jointNormalTexture?;
    enableJointMatrixTextures(jointsCount: number): void;
    get jointMatrixTexture(): StandardMaterialMatrixTexture;
    get jointNormalTexture(): StandardMaterialMatrixTexture;
    destroy(): void;
    update(mesh: Mesh3D, shader: Tiny.Shader): void;
}
