import * as Tiny from '@alipay/tiny.js';
import { MeshGeometry3D } from '../../mesh/geometry/mesh-geometry';
import { MeshShader } from '../../mesh/mesh-shader';
import { Mesh3D } from '../../mesh/mesh';
export declare class StandardShader extends MeshShader {
    private _instancing;
    static build(renderer: Tiny.Renderer, features: string[]): StandardShader;
    get name(): string;
    createShaderGeometry(geometry: MeshGeometry3D, _instanced?: boolean): Tiny.Geometry;
    render(mesh: Mesh3D, renderer: Tiny.Renderer, state: Tiny.State, drawMode: Tiny.DRAW_MODES): void;
}
