export declare namespace Vec3 {
    function set(x: number, y: number, z: number, out: Float32Array): Float32Array;
    function add(a: Float32Array, b: Float32Array, out: Float32Array): Float32Array;
    function transformQuat(a: Float32Array, q: Float32Array, out: Float32Array): Float32Array;
    function subtract(a: Float32Array, b: Float32Array, out: Float32Array): Float32Array;
    function scale(a: Float32Array, b: number, out: Float32Array): Float32Array;
    function normalize(a: Float32Array, out: Float32Array): Float32Array;
    function applyQuad(v: Float32Array, q: Float32Array, out: Float32Array): Float32Array;
    function lerp(a: Float32Array, b: Float32Array, t: number): Float32Array;
}
