import * as Tiny from '@alipay/tiny.js';
import { Container3D } from '../container';
import { Mesh3D } from './mesh';
import { RayCastOption } from '../RayCaster';
export declare class InstancedMesh3D extends Container3D {
    readonly mesh: Mesh3D;
    readonly material: unknown;
    pickingId: Uint8Array;
    constructor(mesh: Mesh3D, material: unknown, pickingId?: Uint8Array);
    destroy(options: boolean | Tiny.IDestroyOptions | undefined): void;
    /**
     * 计算光线和当前节点相交
     * @param option RayCastOption 光线投射参数
     */
    rayCast(option: RayCastOption): void;
}
