import * as Tiny from '@alipay/tiny.js';
import { MeshShader } from '../../mesh/mesh-shader';
import { MeshGeometry3D } from '../../mesh/geometry/mesh-geometry';
import { Mesh3D } from '../../mesh/mesh';
export declare class PickingShader extends MeshShader {
    useSkin: boolean;
    private _name;
    private _instancing;
    constructor(program: Tiny.Program, useSkin?: boolean, _name?: string);
    get name(): string;
    createShaderGeometry(geometry: MeshGeometry3D, _instanced?: boolean): Tiny.Geometry;
    render(mesh: Mesh3D, renderer: Tiny.Renderer, state?: Tiny.State, drawMode?: Tiny.DRAW_MODES): void;
}
