import * as Tiny from '@alipay/tiny.js';
import { Mesh3D } from '../mesh/mesh';
import { ShadowCastingLight } from './shadow-casting-light';
export declare class ShadowRenderer {
    renderer: Tiny.Renderer;
    private _state;
    private _shadowShader?;
    private _skinningShader?;
    private _textureShader?;
    constructor(renderer: Tiny.Renderer);
    render(mesh: Mesh3D, shadowCastingLight: ShadowCastingLight): void;
}
