import * as Tiny from '@alipay/tiny.js';
import { Camera } from '../camera/camera';
import { Mesh3D } from '../mesh/mesh';
import { Material } from '../material/material';
import { CubeMipmapTexture } from '../cubemap/cube-mipmap-texture';
import { MeshShader } from '../mesh/mesh-shader';
export declare class SkyboxMaterial extends Material {
    private _texture;
    get texture(): CubeMipmapTexture;
    set texture(value: CubeMipmapTexture);
    camera?: Camera;
    constructor(_texture: CubeMipmapTexture);
    updateUniforms(mesh: Mesh3D, shader: MeshShader): void;
    render(mesh: Mesh3D, renderer: Tiny.Renderer): void;
    createShader(): MeshShader;
}
