import * as Tiny from '@alipay/tiny.js';
import { KHR_texture_transform } from './khrTextureTransform';
export declare class TextureTransform {
    private static _uvTransMat;
    private static _uvRotMat;
    private static _uvScaleMat;
    /**
     * Calculates uv transform matrix based on "offset", "rotation" and "scale"
     * parameters from extension data (if any), and attaches it to texture
     * @param KHR_texture_transform extension data from gltf file
     * @param texture Texture to attach generated matrix to
     */
    static calculateUVTransform(uvTransform: KHR_texture_transform, texture: Tiny.Texture): void;
}
