import { MeshShader } from '../../../mesh/mesh-shader';
import { Material } from '../../../material/material';
import { Fog } from '../../fog/fog';
export declare class ColorMaterial extends Material {
    color: [number, number, number];
    opts: any;
    fog?: Fog;
    vertSrc: string;
    fragSrc: string;
    constructor(opts: any);
    updateUniforms(mesh: any, shader: any): void;
    createShader(): MeshShader;
}
