import * as Tiny from '@alipay/tiny.js';
import { glTFAssetResourceLoader } from '../gltf/gltf-asset';
export declare const glTFLoader: {
    use(resource: Tiny.ILoaderResource, next: () => void): void;
    add(): void;
};
export declare class glTFExternalResourceLoader implements glTFAssetResourceLoader {
    private _loader;
    _resource: Tiny.ILoaderResource;
    constructor(_loader: Tiny.Loader, _resource: Tiny.ILoaderResource);
    load(uri: string, onComplete: (resource: Tiny.ILoaderResource) => void, options?: {
        loadType?: Tiny.LoaderResource.LOAD_TYPE;
        xhrType?: Tiny.LoaderResource.XHR_RESPONSE_TYPE;
        metadata?: {
            [key: string]: any;
        };
    }): void;
}
