import * as Tiny from '@alipay/tiny.js';
import { MeshGeometry3D } from '../../mesh/geometry/mesh-geometry';
import { LightingEnvironment } from '../../lighting/lighting-environment';
import { Mesh3D } from '../../mesh/mesh';
import { StandardMaterial } from './standard-material';
export declare namespace StandardMaterialFeatureSet {
    function build(renderer: Tiny.Renderer, mesh: Mesh3D, geometry: MeshGeometry3D, material: StandardMaterial, lightingEnvironment: LightingEnvironment): string[];
    function isJointMatrixTextureRequired(jointsCount: number, renderer: Tiny.Renderer): boolean;
    function hasSkinningTextureFeature(features: string[]): boolean;
}
