import * as Tiny from '@alipay/tiny.js';
import { ShadowCastingLight } from './shadow-casting-light';
export declare class ShadowFilter {
    renderer: Tiny.Renderer;
    private _gaussianBlurShader?;
    private _mesh;
    constructor(renderer: Tiny.Renderer);
    applyGaussianBlur(light: ShadowCastingLight): void;
    applyBlurScale(input: Tiny.RenderTexture, output: Tiny.RenderTexture, scale: Float32Array): void;
}
