import * as Tiny from '@alipay/tiny.js';
import { MeshGeometry3D } from '../mesh/geometry/mesh-geometry';
import { MeshShader } from '../mesh/mesh-shader';
import { Mesh3D } from '../mesh/mesh';
import { ShadowCastingLight } from './shadow-casting-light';
export declare class ShadowShader extends MeshShader {
    constructor(renderer: Tiny.Renderer, features?: string[]);
    createShaderGeometry(geometry: MeshGeometry3D): Tiny.Geometry;
    get name(): string;
    updateUniforms(mesh: Mesh3D, shadowCastingLight: ShadowCastingLight): void;
}
