import * as Tiny from '@alipay/tiny.js';
import { MeshGeometry3D } from '../mesh/geometry/mesh-geometry';
import { Mesh3D } from '../mesh/mesh';
import { ShadowCastingLight } from './shadow-casting-light';
import { ShadowShader } from './shadow-shader';
export declare class TextureShader extends ShadowShader {
    private _jointMatrixTexture;
    get maxSupportedJoints(): number;
    static isSupported(renderer: Tiny.Renderer): boolean;
    constructor(renderer: Tiny.Renderer, features?: any[]);
    createShaderGeometry(geometry: MeshGeometry3D): Tiny.Geometry;
    get name(): string;
    updateUniforms(mesh: Mesh3D, shadowCastingLight: ShadowCastingLight): void;
}
