import { Container3D } from '../container';
/**
 * Represents a joint used for vertex skinning.
 */
export declare class Joint {
    node: Container3D;
    inverseBindMatrix: Float32Array;
    /**
     * Creates a new joint.
     * @param node The node container using this skin.
     * @param inverseBindMatrix The inverse of the global transform matrix.
     */
    constructor(node: Container3D, inverseBindMatrix: Float32Array);
}
